<?php
/* Copyright (C) 2022 Ravi Trébuchet <ravi@code42.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

dol_include_once('h2g2/class/abstractmigration.class.php');

/**
 * Class ModuleProduitRapideMigrationV16_0_00 		Class to manage migration for version 16.0.00
 */
class ProduitRapideMigrationV16_0_00 extends AbstractMigration
{

	public $version = "16.0.00";
	public $description = 'Migration for ProduitRapide version 16.0.00';
	public $name = 'produitrapide_16.0.00';

	/**
	 * Method executed when we up the migration
	 *
	 * @return 	void
	 */
	public function up()
	{
		global $conf, $user, $langs, $db;

		// Add Fast product Tag
		$this->addQuery("INSERT INTO ".MAIN_DB_PREFIX."categorie (entity, label, type, description, color, date_creation, fk_user_creat) VALUES (
		" . $conf->entity . ",
		'Produit Rapide',
		0,
		'" . $langs->trans('ProduitRapideTagDescription') . "',
		'efff44',
		'" . $db->idate(dol_now()) . "',
		" . $user->id . ")");
	}

	/**
	 * Method executed when we roll back the migration
	 *
	 * @return 	void
	 */
	public function down()
	{
	}
}
